Bug 1229619 - [abrt] gutenprint-cups: cups-genppdupdate:780:get_ppd_fh:ValueError: I/O operation on closed file
Summary: [abrt] gutenprint-cups: cups-genppdupdate:780:get_ppd_fh:ValueError: I/O oper...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gutenprint
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7d1101cd487181104ef34a69bbc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-09 09:17 UTC by Yajo
Modified: 2015-07-13 19:18 UTC (History)
6 users (show)

Fixed In Version: gutenprint-5.2.10-12.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-13 19:18:57 UTC


Attachments (Terms of Use)
File: backtrace (847 bytes, text/plain)
2015-06-09 09:17 UTC, Yajo
no flags Details
File: environ (392 bytes, text/plain)
2015-06-09 09:17 UTC, Yajo
no flags Details

Description Yajo 2015-06-09 09:17:23 UTC
Version-Release number of selected component:
gutenprint-cups-5.2.10-10.fc22

Additional info:
reporter:       libreport-2.5.1
cmdline:        /usr/bin/python3 /usr/sbin/cups-genppdupdate
executable:     /usr/sbin/cups-genppdupdate
kernel:         4.0.4-303.fc22.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
cups-genppdupdate:780:get_ppd_fh:ValueError: I/O operation on closed file

Traceback (most recent call last):
  File "/usr/sbin/cups-genppdupdate", line 1043, in <module>
    status = update_ppd (ppd_file)
  File "/usr/sbin/cups-genppdupdate", line 382, in update_ppd
    region)
  File "/usr/sbin/cups-genppdupdate", line 780, in get_ppd_fh
    mc_in = io.TextIOWrapper (server_multicat_initialized.stdin)
ValueError: I/O operation on closed file

Local variables in innermost frame:
new_ppd_filename: 'gutenprint.5.2://hp-lj_4050/simple'
locale: 'C'
filename: '/usr/share/cups/model/gutenprint/5.2/C/ppd/stp-hp-lj_4050.5.2.sim.ppd'
url: 'gutenprint.5.2://hp-lj_4050/simple'
opt_r: None
simplified: 'simple'
ppd_source_filename: '/etc/cups/ppd/tecnica-derecha.ppd'
driver: 'hp-lj_4050'
url_list: ['gutenprint.5.2://hp-lj_4050/simple']
region: ''

Comment 1 Yajo 2015-06-09 09:17:26 UTC
Created attachment 1036648 [details]
File: backtrace

Comment 2 Yajo 2015-06-09 09:17:27 UTC
Created attachment 1036649 [details]
File: environ

Comment 3 Fedora Update System 2015-06-29 16:55:08 UTC
gutenprint-5.2.10-12.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gutenprint-5.2.10-12.fc22

Comment 4 Fedora Update System 2015-06-30 20:15:23 UTC
Package gutenprint-5.2.10-12.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gutenprint-5.2.10-12.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10961/gutenprint-5.2.10-12.fc22
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-07-13 19:18:57 UTC
gutenprint-5.2.10-12.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.